Loading...
Searching...
No Matches
Dune::cpgrid::PartitionTypeIndicator Class Reference

## Public Member Functions

| PartitionTypeIndicator (const CpGridData &data)
| Constructor.
PartitionType | getPartitionType (const Entity< 0 > &cell_entity) const
| Get the partition type of a cell.
PartitionType | getPartitionType (const EntityRep< 1 > &face_entity) const
| Get the partition type of a face.
PartitionType | getPartitionType (const EntityRep< 3 > &point_entity) const
| Get the partition type of a point.

## Friends

class | CpGridData
class | FacePartitionTypeIterator

## Constructor & Destructor Documentation

## PartitionTypeIndicator()

Dune::cpgrid::PartitionTypeIndicator::PartitionTypeIndicator | ( | const CpGridData & | data | ) |

inline explicit

Constructor.

Parameters

  data | The data of the cornerpoint grid.

## Member Function Documentation

## getPartitionType() [1/3]

PartitionType Dune::cpgrid::PartitionTypeIndicator::getPartitionType | ( | const Entity< 0 > & | cell_entity | ) | const

Get the partition type of a cell.

Distributed level zero grid, added LGRs afterwards: When the cell belongs to a refined level grid, partition type is inherited from its parent cell from level zero.

Parameters

  cell_entity | The entity describing the cell

Returns
  The partition type of the cell.

## getPartitionType() [2/3]

PartitionType Dune::cpgrid::PartitionTypeIndicator::getPartitionType | ( | const EntityRep< 1 > & | face_entity | ) | const

Get the partition type of a face.

Parameters

  face_entity | The entity describing the face

Returns
  The partition type of the face.

## getPartitionType() [3/3]

PartitionType Dune::cpgrid::PartitionTypeIndicator::getPartitionType | ( | const EntityRep< 3 > & | point_entity | ) | const

Get the partition type of a point.

Parameters

  point_entity | The entity describing the point.

Returns
  The partition type of the point.

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/PartitionTypeIndicator.hpp
- opm/grid/cpgrid/PartitionTypeIndicator.cpp